/**
 * This file was created on 02/02/2007, 13:52:06, by marivb. It is part of
 * agilpizza.modelo on the AgilPizza project.
 */

package agilpizza.modelo;

import java.util.List;

/**
 * Belongs to package agilpizza.modelo.
 * 
 * @author marivb
 */
public class Categoria {

	private List<Ingrediente> ingredientes;

	private String nome;
	private double preco;
	public Categoria(String nomeDaCategoria, List<Ingrediente> ingredientes) {
		this.nome = nomeDaCategoria;
		this.ingredientes = ingredientes;
	}

	/**
	 * @return
	 */
	public List<Ingrediente> getIngredientes() {
		return ingredientes;
	}
	public Ingrediente buscaIngrediente(String nome) {
		for(Ingrediente ingrediente: ingredientes) {
			if(ingrediente.getNome().equals(nome))
				return ingrediente;	
		}
		return null;
	}
	public double getPreco(){
		return this.preco;
	}
	public void setPreco(double preco){
		this.preco=preco;
	}
	public String getNome() {
		return nome;
	}

}
